Object used to expose the OpenLayer map.

Example of usage:

       (window as any).gmfapi.store.map.getMap().subscribe({
         next: (map: Map) => {
           if (map) {
             ...
           }
         },
       })

### Hierarchy

- MapModel

## Index

### Constructors

- constructor

### Methods

- getMap
- setMap

## Constructors

### constructor

- new MapModel(): MapModel

- #### Returns MapModel

## Methods

### getMap

- getMap(): BehaviorSubject<Map>

- - Defined in srcapi/store/map.ts:50

  #### Returns BehaviorSubject<Map>

  the OpenLayers map.

### setMap

- setMap(map: Map): void

- - Defined in srcapi/store/map.ts:59

  Set the OpenLayers map.

  #### Parameters

  - ##### map: Map

    the OpenLayers map

  #### Returns void

Generated using TypeDoc